using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace TravelExpenses.Models
{
    public class Center
    {
        [Key][DatabaseGenerated(DatabaseGeneratedOption.Identity)] public int CenterId { get; set; }
        [Required][StringLength(100)] public string CenterName { get; set; }
        [Required][StringLength(100)] public string CenterAddress { get; set; }
        [Required] public int PlaceId { get; set; } public Place Place { get; set; }
    }
}
